import { mapKey } from './mapKey';
export const mapDeleteItemsCommand = (config, items) => {
    return {
        RequestItems: {
            [config.tableName]: items.map(item => ({
                DeleteRequest: {
                    Key: mapKey(config, item[config.partitionKeyName], config.sortKeyName && item[config.sortKeyName]),
                },
            })),
        },
    };
};
//# sourceMappingURL=mapDeleteItemsCommand.js.map